import { defineConfig } from 'astro/config';
import mdx from '@astrojs/mdx';

export default defineConfig({
  markdown: {
    syntaxHighlight: false,
    shikiConfig: {
      theme: 'css-variables'
    }
  },
  integrations: [
    mdx({
      // Markdown config now ignored
      extendMarkdownConfig: true
      // No `remarkPlugins` applied
    })
  ]
});
